aim4.config

## Enum Constants.TurnDirection

- java.lang.Object
- - java.lang.Enum<Constants.TurnDirection>
  - - aim4.config.Constants.TurnDirection

- All Implemented Interfaces:
    Serializable, Comparable<Constants.TurnDirection>
  Enclosing class:
    Constants

      public static enum Constants.TurnDirection
      extends Enum<Constants.TurnDirection>

  A direction to turn at an intersection.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT` Left turn.
    `RIGHT` Right turn.
    `STRAIGHT` Go straight (i.e.
    `U_TURN` 180 degree turn back to the same road (currently not allowed).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.TurnDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.TurnDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final Constants.TurnDirection LEFT

      Left turn.

    - #### RIGHT

          public static final Constants.TurnDirection RIGHT

      Right turn.

    - #### STRAIGHT

          public static final Constants.TurnDirection STRAIGHT

      Go straight (i.e. no turn).

    - #### U_TURN

          public static final Constants.TurnDirection U_TURN

      180 degree turn back to the same road (currently not allowed).

  - ### Method Detail

    - #### values

          public static Constants.TurnDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.TurnDirection c : Constants.TurnDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.TurnDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.